function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, JoinColumn, Column, ManyToOne } from "typeorm";
import { User } from "./user.js";
import { Announcement } from "./announcement.js";
import { id } from "../id.js";
export let AnnouncementRead = class AnnouncementRead {
    id;
    createdAt;
    userId;
    user;
    announcementId;
    announcement;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], AnnouncementRead.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        comment: "The created date of the AnnouncementRead."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], AnnouncementRead.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column(id()),
    _ts_metadata("design:type", Object)
], AnnouncementRead.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], AnnouncementRead.prototype, "user", void 0);
_ts_decorate([
    Index(),
    Column(id()),
    _ts_metadata("design:type", Object)
], AnnouncementRead.prototype, "announcementId", void 0);
_ts_decorate([
    ManyToOne((type)=>Announcement, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], AnnouncementRead.prototype, "announcement", void 0);
AnnouncementRead = _ts_decorate([
    Entity(),
    Index([
        "userId",
        "announcementId"
    ], {
        unique: true
    })
], AnnouncementRead);
